### Hierarchy

- DialogDelegate

### Implemented by

- SdaDialogDelegate

## Index

### Methods

- deleteJson
- getBlob
- getJson
- getText
- handleDeleteJsonResponse
- handleGetBlobResponse
- handleGetJsonResponse
- handleGetTextResponse
- handleOpenStreamResponse
- handlePostJsonResponse
- handlePostMultipartResponse
- handlePutJsonResponse
- initialize
- isAnyUserInBriefcaseMode
- isUserInBriefcaseMode
- openStream
- postJson
- postMultipart
- putJson

## Methods

### deleteJson

- deleteJson(request: DialogRequest): Promise<JsonClientResponse>

- - Defined in proxy/DialogDelegate.ts:31

  #### Parameters

  - ##### request: DialogRequest

  #### Returns Promise<JsonClientResponse>

### getBlob

- getBlob(request: DialogRequest): Promise<BlobClientResponse>

- - Defined in proxy/DialogDelegate.ts:17

  #### Parameters

  - ##### request: DialogRequest

  #### Returns Promise<BlobClientResponse>

### getJson

- getJson(request: DialogRequest): Promise<JsonClientResponse>

- - Defined in proxy/DialogDelegate.ts:25

  #### Parameters

  - ##### request: DialogRequest

  #### Returns Promise<JsonClientResponse>

### getText

- getText(request: DialogRequest): Promise<TextClientResponse>

- - Defined in proxy/DialogDelegate.ts:19

  #### Parameters

  - ##### request: DialogRequest

  #### Returns Promise<TextClientResponse>

### handleDeleteJsonResponse

- handleDeleteJsonResponse(request: DialogRequest, response: Promise<JsonClientResponse>): Promise<JsonClientResponse> | null

- - Defined in proxy/DialogDelegate.ts:47

  #### Parameters

  - ##### request: DialogRequest

  - ##### response: Promise<JsonClientResponse>

  #### Returns Promise<JsonClientResponse> | null

### handleGetBlobResponse

- handleGetBlobResponse(request: DialogRequest, response: Promise<BlobClientResponse>): Promise<BlobClientResponse> | null

- - Defined in proxy/DialogDelegate.ts:33

  #### Parameters

  - ##### request: DialogRequest

  - ##### response: Promise<BlobClientResponse>

  #### Returns Promise<BlobClientResponse> | null

### handleGetJsonResponse

- handleGetJsonResponse(request: DialogRequest, response: Promise<JsonClientResponse>): Promise<JsonClientResponse> | null

- - Defined in proxy/DialogDelegate.ts:41

  #### Parameters

  - ##### request: DialogRequest

  - ##### response: Promise<JsonClientResponse>

  #### Returns Promise<JsonClientResponse> | null

### handleGetTextResponse

- handleGetTextResponse(request: DialogRequest, response: Promise<TextClientResponse>): Promise<TextClientResponse> | null

- - Defined in proxy/DialogDelegate.ts:35

  #### Parameters

  - ##### request: DialogRequest

  - ##### response: Promise<TextClientResponse>

  #### Returns Promise<TextClientResponse> | null

### handleOpenStreamResponse

- handleOpenStreamResponse(request: DialogRequest, response: Promise<StreamProducer>): Promise<StreamProducer> | null

- - Defined in proxy/DialogDelegate.ts:37

  #### Parameters

  - ##### request: DialogRequest

  - ##### response: Promise<StreamProducer>

  #### Returns Promise<StreamProducer> | null

### handlePostJsonResponse

- handlePostJsonResponse(request: DialogRequest, response: Promise<JsonClientResponse>): Promise<JsonClientResponse> | null

- - Defined in proxy/DialogDelegate.ts:43

  #### Parameters

  - ##### request: DialogRequest

  - ##### response: Promise<JsonClientResponse>

  #### Returns Promise<JsonClientResponse> | null

### handlePostMultipartResponse

- handlePostMultipartResponse<T>(request: DialogRequest, response: Promise<VoidClientResponse>): Promise<VoidClientResponse> | null

- - Defined in proxy/DialogDelegate.ts:39

  #### Type parameters

  - #### T

  #### Parameters

  - ##### request: DialogRequest

  - ##### response: Promise<VoidClientResponse>

  #### Returns Promise<VoidClientResponse> | null

### handlePutJsonResponse

- handlePutJsonResponse(request: DialogRequest, response: Promise<JsonClientResponse>): Promise<JsonClientResponse> | null

- - Defined in proxy/DialogDelegate.ts:45

  #### Parameters

  - ##### request: DialogRequest

  - ##### response: Promise<JsonClientResponse>

  #### Returns Promise<JsonClientResponse> | null

### initialize

- initialize(dialogProxy: DialogProxy): Promise<void>

- - Defined in proxy/DialogDelegate.ts:11

  #### Parameters

  - ##### dialogProxy: DialogProxy

  #### Returns Promise<void>

### isAnyUserInBriefcaseMode

- isAnyUserInBriefcaseMode(tenantId: string): Promise<boolean>

- - Defined in proxy/DialogDelegate.ts:13

  #### Parameters

  - ##### tenantId: string

  #### Returns Promise<boolean>

### isUserInBriefcaseMode

- isUserInBriefcaseMode(userInfo: __type): Promise<boolean>

- - Defined in proxy/DialogDelegate.ts:15

  #### Parameters

  - ##### userInfo: __type

  #### Returns Promise<boolean>

### openStream

- openStream(request: DialogRequest): Promise<StreamProducer>

- - Defined in proxy/DialogDelegate.ts:21

  #### Parameters

  - ##### request: DialogRequest

  #### Returns Promise<StreamProducer>

### postJson

- postJson(request: DialogRequest): Promise<JsonClientResponse>

- - Defined in proxy/DialogDelegate.ts:27

  #### Parameters

  - ##### request: DialogRequest

  #### Returns Promise<JsonClientResponse>

### postMultipart

- postMultipart<T>(request: DialogRequest): Promise<VoidClientResponse>

- - Defined in proxy/DialogDelegate.ts:23

  #### Type parameters

  - #### T

  #### Parameters

  - ##### request: DialogRequest

  #### Returns Promise<VoidClientResponse>

### putJson

- putJson(request: DialogRequest): Promise<JsonClientResponse>

- - Defined in proxy/DialogDelegate.ts:29

  #### Parameters

  - ##### request: DialogRequest

  #### Returns Promise<JsonClientResponse>

Generated using TypeDoc